#include <stdio.h>
#include <assert.h>
#include "symboltable.hh"
#include "unix.hh"
#include "u64.hh"

int main ( int argc , char ** argv )
{
    if ( argc != 3 )
    {
        printf ( "Usage: %s <elf program> <symbol>\n" , argv [ 0 ] ) ;
        return 1 ;
    }

    ulongint address , size ;
    std::string name = argv [ 1 ] ;
    Symbol_Table * symtab = Do_Read_Symbols ( name ,
            "./bin/arm-9tdmi-linux-gnu-nm" ) ;
    if ( symtab == 0L )
    {
        printf ( "Unable to read file\n" ) ;
        return 1 ;
    }

    if ( symtab -> Get_Record ( argv [ 2 ] , address , size ))
    {
        printf ( "%s 0x%"FX" 0x%"FX"\n" , argv [ 2 ] , address , size ) ;
        delete symtab ;
        return 0 ;
    } else {
        printf ( "Unable to find main\n" ) ;
        delete symtab ;
        return 1 ;
    }
}

